import greenfoot.*; 
public class Archerworld  extends World{
private int map;
    public Archerworld(){   
        super(700,300,1);
        setPaintOrder(Bulletright.class,Smoke.class);
        mapOne();
    }
    public void mapOne(){
        map=1;
        removeObjects(getObjects(Actor.class));
       
        setBackground("Castle.png");
        addObject(new Ground(),350,280);
        addObject(new Figure(),45,238);
        addObject(new Guard1(200,330,2),300,235);
        addObject(new Guard1(380,400,2),385,202);
        addObject(new Crate(),376,243);
        addObject(new Crate(),410,243);
        addObject(new Arrowleft(580,150,6,0,185),580,185);
       
        addObject(new Logo(),109,40);
        addObject(new Level1(),120,55);
        addObject(new Finish(),690,210);
    }
    public void mapTwo(){
        map=2;
        removeObjects(getObjects(Actor.class));
       
        setBackground("InnerCastle.png");
        addObject(new Ground2(),350,280);
        addObject(new Figure(),45,238);
        addObject(new Guard1(160,330,2),310,235);
        addObject(new Guard1(160,330,2),260,235);
        addObject(new Guard1(160,330,2),210,235);
        addObject(new Level1(),109,40);
        addObject(new Crate(),376,243);
        addObject(new Crate(),110,243);
        addObject(new Rocks(),250,10);
        addObject(new Rocksfall(25,250,8),240,25);
        addObject(new BalconyWindow(),500,60);
        addObject(new Archer1(130,5,-25,60),500,80);
        addObject(new Balcony(),500,100);
        //addObject(new Arrowleft(500,130,5,-25,80),500,80);
       
        addObject(new Logo(),109,40);
        addObject(new Level2(),120,55);
        addObject(new Finish(),690,210);
    }
    public void mapThree(){
        map=3;
        removeObjects(getObjects(Actor.class));
       
        setBackground("InnerCastle.png");
       
        addObject(new Ground2(),350,280);
        addObject(new BalconyWindow(),150,125);
        //addObject(new Arrowright(155,650,7,0,150),155,150);
        addObject(new Figure(),45,238);
        addObject(new Archer2(650,7,0,40),150,150);
        addObject(new Balcony(),150,165);
        addObject(new Guard1(160,330,2),310,235);
        addObject(new Level1(),109,40);
        addObject(new Crate(),376,243);
        addObject(new Archer1(80,7,0,50),376,205);
        addObject(new Rocks(),350,10);
        addObject(new Rocksfall(25,250,8),340,25);
        addObject(new Rocks(),400,10);
        addObject(new Rocksfall(25,250,8),410,105);
        //addObject(new Arrowleft(370,80,7,0,200),370,200);
        addObject(new Crate(),550,243);
        addObject(new Crate(),580,243);
        addObject(new Crate(),580,210);
       
        addObject(new Logo(),109,40);
        addObject(new Level3(),120,55);
        addObject(new Finish(),690,210);
    }
    public void mapFour(){
        map=4;
        removeObjects(getObjects(Actor.class));
       
        setBackground("InnerCastle.png");
        addObject(new Ground2(),350,280);
        addObject(new Figure(),45,238);
        addObject(new Stairs(),200,250);
        addObject(new Stairs(),250,250);
        addObject(new Stairs(),250,230);
        addObject(new Stairs(),300,250);
        addObject(new Stairs(),300,230);
        addObject(new Stairs(),300,210);
        addObject(new Stairs(),350,250);
        addObject(new Stairs(),350,230);
        addObject(new Stairs(),350,210);
        addObject(new Stairs(),350,190);
        addObject(new Stairs(),400,250);
        addObject(new Stairs(),400,230);
        addObject(new Stairs(),400,210);
        addObject(new Stairs(),400,190);
        addObject(new Stairs(),400,170);
        
        addObject(new Rocksfall(25,210,6),210,25);
        addObject(new Rocks(),220,10);
        addObject(new Rocksfall(25,160,6),330,45);
        addObject(new Rocks(),340,10);
        
        addObject(new Archer2(680,7,0,40),440,238);
        addObject(new Guard1(395,415,1),410,135);
       
        addObject(new Logo(),109,40);
        addObject(new Level4(),120,55);
        addObject(new Finish(),690,210);
    }
    public void mapFive(){
        map=5;
        removeObjects(getObjects(Actor.class));
       
        setBackground("Castle2.png");
        addObject(new Ground(),350,280);
        addObject(new Figure(),45,238);
        
        addObject(new Crate(),80,243);
        
        addObject(new Archer1(140,7,-20,50),630,90);
        addObject(new Archer1(390,7,-25,55),690,90);
        addObject(new Guard1(360,460,2),410,235);
        addObject(new Guard1(480,600,3),550,235);
        
        addObject(new Level5(),120,55);
        addObject(new Logo(),109,40);
        addObject(new Finish(),690,210);
    }
    public void addMap()
    {
        map++;
      
        if(map==1) mapOne();
        if(map==2) mapTwo();
        if(map==3) mapThree();
        if(map==4) mapFour();
        if(map==5) mapFive();
    }
    public void addBulletright(int figurex, int figurey){
        addObject(new Bulletright(),figurex,figurey);
    }
    public void addBulletleft(int figurex, int figurey){
        addObject(new Bulletleft(),figurex,figurey);
    }
    public void deleteBullet(Actor actor){
        removeObject(actor);
        return;
    }
    public void deleteEnemy(Actor actor){
        removeObject(actor);
        return;
    }
    public void addArrowLeft(){
        addObject(new Arrowleft(370,80,7,0,200),370,200);
    }
}