import greenfoot.*;
public class Smoke  extends Actor{
    private GreenfootImage image;
    private boolean dead;
    private int fade;
    public Smoke(){
        image=getImage();
        fade=Greenfoot.getRandomNumber(3)+1;
        if(fade==3){
            fade=1;
        }
        dead=false;
    }
    public void act() {
        shrink();
    }
    private void shrink(){
        if(getImage().getWidth()<10){
            getWorld().removeObject(this);
        }else{
            GreenfootImage img=new GreenfootImage(image);
            img.scale(getImage().getWidth()-fade,getImage().getHeight()-fade);
            setImage(img);
        }
    }
    public void checkObjects(){
        Actor actor = this.getOneIntersectingObject(Actor.class);
        if (actor instanceof Guard1||actor instanceof Crate||actor instanceof Stairs||actor instanceof Archer1||actor instanceof Archer2){
            if(actor instanceof Guard1||actor instanceof Archer1||actor instanceof Archer2){
                ((Archerworld)getWorld()).deleteEnemy(actor);
            }
            ((Archerworld)getWorld()).deleteBullet(this);
            dead=true;
        }
    }
}
