import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Bulletright  extends Mover{
private boolean crate;
private boolean guard;
private boolean dead;
private int smokeCount;
    public Bulletright(){
        super();
        crate=false;
        guard=false;
        dead=false;
    }
    public void act(){
        move(10);
        checkObjects();
        makeSmoke();
        checkEdge();
    }
    public void makeSmoke(){
        if(!dead){
            smokeCount++;
            if(smokeCount==2){
                getWorld().addObject(new Smoke(),getX(),getY());
                smokeCount=0;
            }
        }
    }
    public void checkObjects(){
        Actor actor = this.getOneIntersectingObject(Actor.class);
        if (actor instanceof Guard1||actor instanceof Crate||actor instanceof Stairs||actor instanceof Archer1||actor instanceof Archer2){
            if(actor instanceof Guard1||actor instanceof Archer1||actor instanceof Archer2){
                ((Archerworld)getWorld()).deleteEnemy(actor);
            }
            ((Archerworld)getWorld()).deleteBullet(this);
            dead=true;
        }
    }
    public void checkEdge(){
        if(!dead&&atWorldEdge()){
            delete();
        }
    }
    public void delete(){
        ((Archerworld)getWorld()).deleteBullet(this);
    }
}

