import greenfoot.*;

public class Figure  extends Mover
{

    private int speed=5;
    private int vSpeed=0;
    private int acceleration=2;
    private int jumpStrength=-12;
    private int max=10;
    private int direction;
    int counterleft=0;
    int counterright=0;
    int counter=0;
    int delay=20;
    
    public Figure()
    {
    }
    
    public void act(){
        checkKeys();
        checkFall();
        checkGround();
        moveGround();
        checkKillers();
        win();
        
    }
    //------------ALL METHODS HERE--------------
    //------------ALL BASIC METHODS HERE--------------
    private void checkKeys(){
        if(Greenfoot.isKeyDown("left")&&!crateLeft()&&!stairsLeft()){
            moveLeft();
            counterleft++;
            direction=2;
            if(counterleft==0){
                setImage("Figureleft.png");
            }
            if(counterleft==2){
                setImage("Figureleft2.png");
            }
            if(counterleft==3){
                setImage("Figureleft.png");
            }
            if(counterleft==5){
                setImage("Figureleft2.png");
            }
            if(counterleft==6){
                counterleft=0;
            }
        }
        if(Greenfoot.isKeyDown("right")&&!crateRight()&&!stairsRight()){
            moveRight();
            counterright++;
            direction=1;
            if(counterright==0){
                setImage("Figureright.png");
            }
            if(counterright==2){
                setImage("Figureright2.png");
            }
            if(counterright==3){
                setImage("Figureright.png");
            }
            if(counterright==5){
                setImage("Figureright2.png");
            }
            if(counterright==6){
                counterright=0;
            }
        }
        if(Greenfoot.isKeyDown("up")){       
            jump();
        }
        if(Greenfoot.isKeyDown("f") && counter > delay){
            fire();
            counter = 0;
        }
            counter++;
    }
    public boolean canSee(Class clss){
        Actor actor = getOneIntersectingObject(clss);
        return actor != null;     
    }
    //------------ALL GROUND/FALL METHODS HERE--------------
    public boolean onGround(){
        Ground a = (Ground) getOneObjectAtOffset(0,24,Ground.class);
        return a !=null;
    }
    public void moveGround(){
        if(getY()>=239){
            setLocation(getX(),238);
        }
    }
    public boolean onGround2(){
        Ground2 a = (Ground2) getOneObjectAtOffset(0,24,Ground2.class);
        return a !=null;
    }
    public boolean onCrate(){
        Crate a = (Crate) getOneObjectAtOffset(0,27,Crate.class);
        return a !=null;
    }
    public boolean onStairs(){
        Stairs a = (Stairs) getOneObjectAtOffset(0,27,Stairs.class);
        return a !=null;
    }
    public void checkGround(){
        if(onGround()||onGround2()||onCrate()||onStairs()){
            vSpeed=0;
        }else{
            fall();
        }
    }
    public void jump(){
        if(onGround()||onGround2()||onCrate()||onStairs()){
            vSpeed=jumpStrength;
            fall();
        }
    }
    public void fall(){
        setLocation(getX(),getY()+vSpeed);
        vSpeed=vSpeed+acceleration;
        if(vSpeed>10){
            vSpeed=10;
        }
    }
    //------------ALL DETECTING METHODS HERE--------------
    public boolean crateRight(){
        Crate a = (Crate) getOneObjectAtOffset(15,0,Crate.class);
        return a !=null;
    }
    public boolean crateLeft(){
        Crate a = (Crate) getOneObjectAtOffset(-15,0,Crate.class);
        return a !=null;
    }
    public boolean stairsRight(){
        Stairs a = (Stairs) getOneObjectAtOffset(18,15,Stairs.class);
        return a !=null;
    }
    public boolean stairsLeft(){
        Stairs a = (Stairs) getOneObjectAtOffset(-18,15,Stairs.class);
        return a !=null;
    }
    //------------ALL DEATH METHODS HERE--------------
    public void die(){
        setLocation(100,100);
        vSpeed=0;
    }
    public void checkFall(){
        if(getY()==299){
            die();
        }
    }
    public void checkKillers(){
        if(canSee(Guard1.class)||canSee(Arrowleft.class)||canSee(Arrowright.class)||canSee(Rocksfall.class)){
            setLocation(45,238);
        }
    }
    //------------ALL WIN METHODS HERE--------------
    public void win(){
        Actor finish = getOneIntersectingObject(Finish.class);
        if(canSee(Finish.class)){
            ((Archerworld)getWorld()).addMap();
        }
    }
    //------------ALL BUTTON METHODS HERE--------------
    public void moveRight(){
        setLocation(getX()+speed,getY());
    }
    public void moveLeft(){
        setLocation(getX()-speed,getY());
    }
    public void fire(){
        if(direction==1){
            ((Archerworld)getWorld()).addBulletright(getX()+15, getY());
        }
        if(direction==2){
            ((Archerworld)getWorld()).addBulletleft(getX()-15, getY());
        }
    }
}
